      IMPLICIT REAL*8 (A-H,O-Z)
      DATA XMIN,XMAX/ 0.0043,0.8D0/
      iset = 1
      q2=100.0
      NX=10
      XLSTEP=(DLOG10(XMAX)-DLOG10(XMIN))/DFLOAT(NX)
      write(6,2002)
2002	format(4x,'x',6x,'Q2',7x,'F2',8x,'FL')
      
      xpomeron=0.05
      
      DO  100 I=1,NX+1
        DLOGX=DFLOAT(I-1)*XLSTEP+DLOG10(XMIN)
        X=10.D0**(DLOGX)
        
         call PPDF(ISET, X, Q2, F2p, F2Charm, FLp,
     1              FLCharm, f2_2, fl_2, c2_2, cl_2,qua, gl , 
     1quaUP, glUP, quaDOWN, glDOWN, 
     1F2pUP, FLpUP, F2pDOWN, FLpDOWN, 
	1 F2CharmUP, FLCharmUP, F2CharmDOWN, FLCharmDOWN)

        

         write(6,2003)x,q2,F2p,F2Charm
 2003    format(f8.5,2x,f5.1,2x,f8.7,2x,f8.7)
 100  continue
      
      

      
      xpom=0.0025
      s=319.0d0  
	c=1.99*10**(-3.0)  ! H1-LGR-06
      x=0.01
      Q2=10.0
	t=-1
       
      call  h12006flux(xpom,t,1,1,1,pomeronflux,1.122d0,1.0d0)
	call  h12006flux(xpom,t,1,1,2,reggeonflux,0.5d0,c)
      call PPDF(ISET, X, Q2, F2p, F2Charm, FLp,
     1              FLCharm, f2_2, fl_2, c2_2, cl_2,qua, gl , 
     1quaUP, glUP, quaDOWN, glDOWN, 
     1F2pUP, FLpUP, F2pDOWN, FLpDOWN, 
	1 F2CharmUP, FLCharmUP, F2CharmDOWN, FLCharmDOWN)
       
      y=Q2/(s*s*x)
      yplus=1+(1-y)**2. 
     
      heavysigma= pomeronflux*(F2charm-y**2./yplus*FLcharm) * xpom
	heavyF2= pomeronflux*(F2charm) * xpom
	write(6,*)
	write(6,2004)
2004  format(4x,'x',6x,'xPom',6x,'Q2',5x,'s',6x,'F2_Heavy',2x,
     &'Sigma_Heavy')
      write(6,2005)x,xpom,Q2,s,heavyF2,heavysigma
2005  format (2x,f5.4,2x,f7.6,3x,f4.1,3x,f5.1,3x,f7.6,3x,f7.6)
      write(6,*)
      write(6,2006)
2006  format('This Example for H1-LGR-06')
	write(6,2007)
2007	format(4x,'x',6x,'xPom',6x,'Q2',6x,'F2_diffraction',2x,
     &'FL_diffraction')
    
      F2diffraction= pomeronflux*(F2p+F2charm)+ reggeonflux*(f2_2)
	FLdiffraction= pomeronflux*(FLp+FLcharm)+ reggeonflux*(fl_2)
	Write(6,2008) x,xpom,Q2,F2diffraction,FLdiffraction
2008  format (2x,f5.4,2x,f7.6,3x,f4.1,8x,f5.2,12x,f7.5)
	write(*,*)
      write(6,2009)
2009  format(2x,' H1-LRG-06 No Factor is required in Cross section '/
     1 ,2x,' H1-FPS-06 divide by factor 1.23 in Cross Section' /
	1 ,2x,' H1-FPS-10 divide by factor 1.20 in Cross Section' /
	1 ,2x,' ZEUS-LPS-04 divide by factor 1.33 in F2' /
	1 ,2x,' ZEUS-LPS-09 divide by factor 1.33 in Cross Section'/
	1 ,2x,' ZEUS-LRG-09 divide by factor 1.05 in Cross Section'/
     1 ,2x,' ZEUS-MX-05  divide by factor 0.88 in F2' /
     1 ,2x,' ZEUS-MX-08  divide by factor 0.88 in F2' /
	1 ,2x,' H1-LRG-11 (proton beam energy of E_p=460,575,920 GeV) '/
	1 ,2x,'divide by factor 0.97,0.99,0.97 '
     1 ,'respectively in Cross Section, F2, FL')
			
		   
		   
            	
 


      stop
      end
      include 'dpdf_TKT.f'
      include 'h12006flux.f'
      

   
